Go to the latest version of this document.

# ``twisted`.`positioning`.`ipositioning`.`INMEAReceiver``

interface documentation

`class INMEAReceiver(Interface): (source)`

Known implementations: `twisted.positioning.nmea.NMEAAdapter`

View In Hierarchy

An object that can receive NMEA data.

Method | `sentenceReceived` | Method called when a sentence is received.

def sentenceReceived(sentence): (source)

Method called when a sentence is received.

Parameters
sentence | The received NMEA sentence. @type `twisted.positioning.nmea.NMEASentence`